package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_MEASURE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2020-10-27
 */
public class MilMeasureResultEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 是否监制
     */
    private String ifMonitorRcl = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 监制到场时间
     */
    private String producerTime = "";
    /**
     * 分切数
     */
    private String outnumCut = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 保护环厂家
     */
    private String prProvider = "";
    /**
     * 保护环类型
     */
    private String prType = "";
    /**
     * 是否使用保护帽
     */
    private String usePc = "";
    /**
     * 是否使用防撞环
     */
    private String useAr = "";
    /**
     * 防撞环数量
     */
    private String arCount = "";
    /**
     * 是否特殊通径
     */
    private String specialDrift = "";
    /**
     * 色环条数
     */
    private String ccCount = "";
    /**
     * 是否涂漆
     */
    private String isPaint = "";
    /**
     * 油漆型号
     */
    private String paintType = "";
    /**
     * 油漆批号
     */
    private String paintLot = "";
    /**
     * 类型 0- 匹配测量点数据 1-手动输入长度 2- 返线计产
     */
    private String flag = "";
    /**
     * 结束时间
     */
    private String proEndTime = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 是否监制
     * @return value
     */
    public String getIfMonitorRcl() {
        return ifMonitorRcl;
    }

    /**
     * 是否监制
     * @param ifMonitorRcl value
     */
    public void setIfMonitorRcl(String ifMonitorRcl) {
        this.ifMonitorRcl = ifMonitorRcl;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 监制到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 分切数
     * @return value
     */
    public String getOutnumCut() {
        return outnumCut;
    }

    /**
     * 分切数
     * @param outnumCut value
     */
    public void setOutnumCut(String outnumCut) {
        this.outnumCut = outnumCut;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 保护环厂家
     * @return value
     */
    public String getPrProvider() {
        return prProvider;
    }

    /**
     * 保护环厂家
     * @param prProvider value
     */
    public void setPrProvider(String prProvider) {
        this.prProvider = prProvider;
    }

    /**
     * 保护环类型
     * @return value
     */
    public String getPrType() {
        return prType;
    }

    /**
     * 保护环类型
     * @param prType value
     */
    public void setPrType(String prType) {
        this.prType = prType;
    }

    /**
     * 是否使用保护帽
     * @return value
     */
    public String getUsePc() {
        return usePc;
    }

    /**
     * 是否使用保护帽
     * @param usePc value
     */
    public void setUsePc(String usePc) {
        this.usePc = usePc;
    }

    /**
     * 是否使用防撞环
     * @return value
     */
    public String getUseAr() {
        return useAr;
    }

    /**
     * 是否使用防撞环
     * @param useAr value
     */
    public void setUseAr(String useAr) {
        this.useAr = useAr;
    }

    /**
     * 防撞环数量
     * @return value
     */
    public String getArCount() {
        return arCount;
    }

    /**
     * 防撞环数量
     * @param arCount value
     */
    public void setArCount(String arCount) {
        this.arCount = arCount;
    }

    /**
     * 是否特殊通径
     * @return value
     */
    public String getSpecialDrift() {
        return specialDrift;
    }

    /**
     * 是否特殊通径
     * @param specialDrift value
     */
    public void setSpecialDrift(String specialDrift) {
        this.specialDrift = specialDrift;
    }

    /**
     * 色环条数
     * @return value
     */
    public String getCcCount() {
        return ccCount;
    }

    /**
     * 色环条数
     * @param ccCount value
     */
    public void setCcCount(String ccCount) {
        this.ccCount = ccCount;
    }

    /**
     * 是否涂漆
     * @return value
     */
    public String getIsPaint() {
        return isPaint;
    }

    /**
     * 是否涂漆
     * @param isPaint value
     */
    public void setIsPaint(String isPaint) {
        this.isPaint = isPaint;
    }

    /**
     * 油漆型号
     * @return value
     */
    public String getPaintType() {
        return paintType;
    }

    /**
     * 油漆型号
     * @param paintType value
     */
    public void setPaintType(String paintType) {
        this.paintType = paintType;
    }

    /**
     * 油漆批号
     * @return value
     */
    public String getPaintLot() {
        return paintLot;
    }

    /**
     * 油漆批号
     * @param paintLot value
     */
    public void setPaintLot(String paintLot) {
        this.paintLot = paintLot;
    }

    /**
     * 类型 0- 匹配测量点数据 1-手动输入长度 2- 返线计产
     * @return value
     */
    public String getFlag() {
        return flag;
    }

    /**
     * 类型 0- 匹配测量点数据 1-手动输入长度 2- 返线计产
     * @param flag value
     */
    public void setFlag(String flag) {
        this.flag = flag;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getProEndTime() {
        return proEndTime;
    }

    /**
     * 结束时间
     * @param proEndTime value
     */
    public void setProEndTime(String proEndTime) {
        this.proEndTime = proEndTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
